XCB: xcb_xkb_get_kbd_by_name_replies_t Struct Reference

XCB 1.17.0

Data Fields
xcb_xkb_get_kbd_by_name_replies_t Struct Reference
XCB xkb API

xcb_xkb_get_kbd_by_name_replies_t More...

`#include <xkb.h>`

Collaboration diagram for xcb_xkb_get_kbd_by_name_replies_t:
[legend]

## Data Fields
struct {
uint8_t getmap_type
uint8_t typeDeviceID
uint16_t getmap_sequence
uint32_t getmap_length
uint8_t pad1 [2]
xcb_keycode_t typeMinKeyCode
xcb_keycode_t typeMaxKeyCode
uint16_t present
uint8_t firstType
uint8_t nTypes
uint8_t totalTypes
xcb_keycode_t firstKeySym
uint16_t totalSyms
uint8_t nKeySyms
xcb_keycode_t firstKeyAction
uint16_t totalActions
uint8_t nKeyActions
xcb_keycode_t firstKeyBehavior
uint8_t nKeyBehaviors
uint8_t totalKeyBehaviors
xcb_keycode_t firstKeyExplicit
uint8_t nKeyExplicit
uint8_t totalKeyExplicit
xcb_keycode_t firstModMapKey
uint8_t nModMapKeys
uint8_t totalModMapKeys
xcb_keycode_t firstVModMapKey
uint8_t nVModMapKeys
uint8_t totalVModMapKeys
uint8_t pad2
uint16_t virtualMods
xcb_xkb_get_kbd_by_name_replies_types_map_t map
} | types
struct {
uint8_t compatmap_type
uint8_t compatDeviceID
uint16_t compatmap_sequence
uint32_t compatmap_length
uint8_t groupsRtrn
uint8_t pad7
uint16_t firstSIRtrn
uint16_t nSIRtrn
uint16_t nTotalSI
uint8_t pad8 [16]
xcb_xkb_sym_interpret_t * si_rtrn
xcb_xkb_mod_def_t * group_rtrn
} | compat_map
struct {
uint8_t indicatormap_type
uint8_t indicatorDeviceID
uint16_t indicatormap_sequence
uint32_t indicatormap_length
uint32_t which
uint32_t realIndicators
uint8_t nIndicators
uint8_t pad9 [15]
xcb_xkb_indicator_map_t * maps
} | indicator_maps
struct {
uint8_t keyname_type
uint8_t keyDeviceID
uint16_t keyname_sequence
uint32_t keyname_length
uint32_t which
xcb_keycode_t keyMinKeyCode
xcb_keycode_t keyMaxKeyCode
uint8_t nTypes
uint8_t groupNames
uint16_t virtualMods
xcb_keycode_t firstKey
uint8_t nKeys
uint32_t indicators
uint8_t nRadioGroups
uint8_t nKeyAliases
uint16_t nKTLevels
uint8_t pad10 [4]
xcb_xkb_get_kbd_by_name_replies_key_names_value_list_t valueList
} | key_names
struct {
uint8_t geometry_type
uint8_t geometryDeviceID
uint16_t geometry_sequence
uint32_t geometry_length
xcb_atom_t name
uint8_t geometryFound
uint8_t pad12
uint16_t widthMM
uint16_t heightMM
uint16_t nProperties
uint16_t nColors
uint16_t nShapes
uint16_t nSections
uint16_t nDoodads
uint16_t nKeyAliases
uint8_t baseColorNdx
uint8_t labelColorNdx
xcb_xkb_counted_string_16_t * labelFont
} | geometry

## Detailed Description

xcb_xkb_get_kbd_by_name_replies_t

The documentation for this struct was generated from the following file:

- xkb.h